For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • POSTAdds a task bundle to a project.
      • GETLists task bundles.
      • POSTCreates a task bundle.
      • POSTCreates a task bundle from a project.
      • POSTCreates a task bundle from a task list.
      • GETLists available task bundle icons.
      • GETGets a task bundle by id.
      • PUTUpdates a task bundle.
      • DELDeletes a task bundle.
      • POSTCreates a copy of an existing task bundle.
      • GETLists task list templates for a task bundle.
      • POSTCreates a task list template for a bundle.
      • GETGets a task list template.
      • PUTUpdates a task list template.
      • DELDeletes a task list template.
      • POSTAdds task templates to a task list template.
      • POSTRemoves task templates from a task list template.
      • GETLists task templates inside a task list template.
      • GETGets a task template inside a task list template.
      • POSTUpdates the order of a task template inside a task list template.
      • POSTUpdates the order of task templates in a task list template.
      • GETLists checklist item templates for a task template.
      • POSTCreates a checklist item template.
      • GETGets a checklist item template.
      • PUTUpdates a checklist item template.
      • DELDeletes a checklist item template.
      • POSTDeletes recurrence information from a task template.
      • GETGets recurrency details for a task template.
      • POSTAdds or updates a recurrence rule for a task template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Bundles

Gets a task template inside a task list template.

GET
https://api.awork.com/api/v1/taskbundles/:taskBundleId/tasklisttemplates/:taskListTemplateId/tasktemplates/:taskTemplateId
GET
/api/v1/taskbundles/:taskBundleId/tasklisttemplates/:taskListTemplateId/tasktemplates/:taskTemplateId
$curl https://api.awork.com/api/v1/taskbundles/taskBundleId/tasklisttemplates/taskListTemplateId/tasktemplates/taskTemplateId \
> -H "Authorization: Bearer <token>"
1{
2 "name": "Wireframe layout",
3 "description": "Create the wireframe layout ready to be discussed with the stakeholders",
4 "isPrio": false,
5 "plannedDuration": 1400,
6 "relativeStartOn": 1,
7 "relativeDueOn": 1,
8 "typeOfWorkId": "123e4567-e89b-12d3-a456-426614174000",
9 "assignedRoleId": "123e4567-e89b-12d3-a456-426614174000",
10 "parentId": "123e4567-e89b-12d3-a456-426614174000",
11 "subtaskOrder": 1,
12 "laneOrder": 2,
13 "id": "123e4567-e89b-12d3-a456-426614174000",
14 "taskType": {
15 "id": "123e4567-e89b-12d3-a456-426614174000",
16 "name": "Sales Work",
17 "description": "Tasks related to sales dept.",
18 "icon": "attach_money",
19 "isArchived": true,
20 "createdOn": "2022-03-10T16:25:09.100Z",
21 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
22 "updatedOn": "2022-03-10T18:55:00.500Z",
23 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
24 },
25 "taskListTemplate": [
26 {
27 "id": "123e4567-e89b-12d3-a456-426614174000",
28 "name": "Concept Desing",
29 "orderOfTask": 2,
30 "order": 1,
31 "isHiddenForConnectUsers": true
32 }
33 ],
34 "taskDependencyTemplates": [
35 {
36 "id": "123e4567-e89b-12d3-a456-426614174000",
37 "createdOn": "2022-03-11T15:33:47.100Z",
38 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
39 "updatedOn": "2022-03-11T21:15:00.100Z",
40 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
41 "predecessorTemplateId": "f76a7b32-f279-ec11-94f6-dc984040d6c9",
42 "successorTemplateId": "fc8e5a55-e96f-ec11-94f6-dc984040d6c7"
43 }
44 ],
45 "assigneeIds": [
46 "string"
47 ],
48 "createdOn": "2022-03-14T10:12:02.100Z",
49 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
50 "updatedOn": "2022-03-25T14:55:30.100Z",
51 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
52 "order": 4,
53 "hasAttachments": true,
54 "isRecurring": false,
55 "customFields": [
56 {
57 "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
58 "userIdValue": "123e4567-e89b-12d3-a456-426614174000",
59 "clientIdValue": "123e4567-e89b-12d3-a456-426614174000",
60 "numberValue": 123.45,
61 "selectionOptionIdValue": "123e4567-e89b-12d3-a456-426614174000",
62 "selectionOption": {
63 "value": "Website Design",
64 "id": "123e4567-e89b-12d3-a456-426614174000",
65 "color": "purple",
66 "order": 0
67 },
68 "textValue": "S1: Business Critical",
69 "dateValue": "2024-01-15T09:30:00Z",
70 "booleanValue": true
71 }
72 ],
73 "tags": [
74 {
75 "id": "123e4567-e89b-12d3-a456-426614174000",
76 "name": "Design",
77 "color": "purple"
78 }
79 ]
80}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Updates the order of a task template inside a task list template.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskBundleIdstringRequiredformat: "uuid"
The id of the task bundle.
taskListTemplateIdstringRequiredformat: "uuid"
The task list template id.
taskTemplateIdstringRequiredformat: "uuid"
The id of the task template.

Response

OK
namestring or null
The name of the task created from this template.
descriptionstring or null
The description of the task created from this template.
isPrioboolean
Whether the task created from this template will be marked as priority.
plannedDurationinteger
The expected planned workload of the task created from this template, in seconds.
relativeStartOnlong or null
The relative start date and time of the task created from this template, in seconds, from the moment of creating the task.
relativeDueOnlong or null
The relative due date and time of the task created from this template, in seconds, from the moment of creating the task.
typeOfWorkIdstringformat: "uuid"
The id of the type of work of this task.
assignedRoleIdstring or nullformat: "uuid"
The id of the assigned role of this task.
parentIdstring or nullformat: "uuid"
The id of the parent task template if the task template is a subtask.
subtaskOrderdouble or null
The order of the subtask template relative to its parent task template.
laneOrderinteger or null
The lane order defines the vertical position in the planner.
idstringformat: "uuid"
The Id of the task template.
taskTypeobject
The task type model.
taskListTemplatelist of objects or null
The task list templates of the task template.
taskDependencyTemplateslist of objects or null
The list of task dependency templates for that task template.
assigneeIdslist of strings or null
The list of assigned users to that task template.
createdOnstringformat: "date-time"
The date this task was created.
createdBystringformat: "uuid"
The id of the user who created this task.
updatedOnstringformat: "date-time"
The date this task was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this task.
orderdouble or null
For internal purposes.
hasAttachmentsboolean
If the task template has attachments.
isRecurringboolean
If the task is a recurrency template, the flag is true.
customFieldslist of objects or null
The Custom fields of the task template.
tagslist of objects or null
The list of tags that will be applied to the task when it is created.

Errors

404
Not Found Error